Retrieve payment receipts
Returns a cursor-paginated list of payment statements to Deel, including status, totals, currency, and payment method. Child invoices and per-worker details are no longer included in this response; use GET /rest/payments/{payment_id}/breakdown to retrieve them. Use the next_cursor value from the response to retrieve subsequent pages.
Token scopes: accounting:read
Authentication
Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
curl -X GET 'https://api.deel.training/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Headers
Version of this endpoint to call (YYYY-MM-DD). This reference documents version 2026-06-16. When the header is omitted the API serves the oldest version that is neither beta nor sunset, which can be an older version with a different contract than the one documented here.
Query parameters
Filters results to include payments created on or after this date (in ISO 8601 format).
Filters results to include payments created before this date (in ISO 8601 format).
A cursor for pagination. Use the value returned in the ‘next_cursor’ field to get the next page of results.
Filters payments by legal entity type (e.g., ‘individual’ or ‘company’). Can be a single entity type or an array.
Filters payments by their status (e.g., ‘paid’ or ‘processing’). Can be a single status type or an array.